Subject: RE: cygwin installer
From: Robert Collins <[email-masked]>
To: John Morrison <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Jun 2004 09:41:32 +1000

On Thu, 2004-06-24 at 05:20, John Morrison wrote:
> > From: Hemal Pandya
> > 
> > Great information. I vote this be added to install doc. 
> 
> I wouldn't - folks appear to have enough difficulties as it is without
> adding ways 'around' setup.exe (I know, for the power/advanced user it
> is a technique, but...).

What Chris suggests will work now, and for the foreseeable future. It
preserves all setup.exe's tracking data, so setup.exe runs, and
postinstall scripts will be preserved.

There are a few missing gotchas - 
ssh host keys need to be regenerated
services installed with cygrunsrv need to be reinstalled
/etc/password may need to be updated depending on the windows
authentication layout

but they are all fairly simple.

Rob
-- 
GPG key available at: <http://www.robertcollins.net/keys.txt>.